package org.sonatype.spice.jscoverage;

import java.util.Set;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class JsonUtil
{

    @SuppressWarnings( "unchecked" )
    public static JSONObject convertToReportJson( String json )
    {
        JSONObject jsonObject = JSONObject.fromObject( json );

        JSONObject result = new JSONObject();

        Set<String> keys = jsonObject.keySet();
        for ( String jsFile : keys )
        {
            Object obj = jsonObject.get( jsFile );
            JSONArray arr;
            if ( obj instanceof JSONArray )
            {
                arr = (JSONArray) obj;
            }
            else if ( obj instanceof JSONObject )
            {
                JSONObject jobj = (JSONObject) obj;

                arr = new JSONArray();
                arr.add( jobj );
            }
            else
            {
                throw new RuntimeException( "Not expected: " + obj );
            }

            JSONObject coverageResult = new JSONObject();
            coverageResult.put( "coverage", arr );
            coverageResult.put( "source", new JSONArray() );

            result.put( jsFile, coverageResult );
        }

        return result;
    }

}
